/***************************************************************************
 *   Copyright (C) 2008 by Jakub Stachowski <qbast@go2.pl>                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QDialog>
#include "ui_ssh-host.h"

namespace DNSSD {
  class ServiceModel;
}
class QModelIndex;
class Configuration;

class MainWindow : public QDialog, private Ui::HostDialog
{
Q_OBJECT
public:
  MainWindow();
  virtual ~MainWindow();
  virtual void accept();
  QList<QByteArray> arguments() const;
private slots:
  void rowSelected(const QModelIndex& sel);
  void setupHost(const QString& host);
  void showOptions();
private:
  DNSSD::ServiceModel* model;
  Configuration* current;
 
};

#endif // MAINWINDOW_H
